## Script (Python) "additemstocart"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=item_uids=None,items=None
##title=Add a item to the cart
##
from Products.PloneMallCart import PloneMallCartMessageFactory as _
from Products.CMFCore.utils import getToolByName
uc=getToolByName(context,'reference_catalog')
pcm = getToolByName(context, 'portal_cartmanager')
plone_utils = getToolByName(context, 'plone_utils')

cart = pcm.getOrCreateCart()

if item_uids:
    item_objects = [(uc.lookupObject(uid),1) for uid in item_uids]
    
if not item_uids and items:
        
    item_objects = [(uc.lookupObject(i['uid']), float(i['quantity'])) for i in items if i.get('quantity',None) and float(i['quantity'])]
    
for item, amount in item_objects:
    cart.addItem(item,amount)
    
plone_utils.addPortalMessage(_(u'Item(s) added to cart.'))

if pcm.getAdd_to_cart_mode() == 'stay':
    return context.REQUEST.RESPONSE.redirect('%s' % (context.absolute_url()))
else:
    return context.REQUEST.RESPONSE.redirect('%s/cart_view' % (context.absolute_url()))

