## Controller Python Script "cart_update"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=cart_item=[]
##title=Update cart quantities
##
from Products.PloneMallCart import PloneMallCartMessageFactory as _
from Products.CMFCore.utils import getToolByName
pcm = getToolByName(context, 'portal_cartmanager')
plone_utils = getToolByName(context, 'plone_utils')

cart = pcm.getOrCreateCart()

# delete items if 'delete' is checked, and the button pressed was update, not checkout.
if state.getButton() == 'cart_update':
    cart.delItem(cart_item)

for cart_item in cart.getContents():
    quantity = float(context.REQUEST.get('quantity_%s' % cart_item.getId()))
    if quantity != cart_item.getQuantity():
        cart.updateItem(cart_item, quantity)

plone_utils.addPortalMessage(_(u'Cart updated.'))

# remember mall_came_from
state.set(mall_came_from = context.REQUEST.get('mall_came_from', ''))

# Where to go next?
if state.getButton() == 'checkout':
    state.setStatus('checkout')
elif pcm.getAdd_to_cart_mode() == 'stay' and not context.REQUEST.has_key('cart_view'):
    # stay on the object added to the cart - we used the portlet
    state.setStatus('view')
else:
    # go to cart_view
    state.setStatus('success')
return state