# -*- coding: utf-8 -*-
#
# File: PloneMallOrder.py
#
# Copyright (c) 2006 by []
# Generator: ArchGenXML Version 1.5.1-svn
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """unknown <unknown>"""
__docformat__ = 'plaintext'


# Workflow Scripts for: order_workflow

##code-section workflow-script-header #fill in your manual code here
from Products.CMFCore.utils import getToolByName

def promoteState(obj,state_change,includeSelf=0,**kw):

    if includeSelf:
        obj.portal_workflow.doActionFor(obj,state_change.transition.__name__)

    if hasattr(obj.aq_base,'notifyOrderState'):
        obj.notifyOrderState(state_change.new_state.__name__)

    #promote the state change to all subobjects
    if obj.isPrincipiaFolderish:
        for o in obj.contentValues():
            try:
                promoteState(o,state_change,includeSelf=1,**kw)
                #self.portal_workflow.doActionFor(o,state_change.transition.__name__)
            except:
                pass

##/code-section workflow-script-header


def cancel(self,state_change,**kw):
    obj = state_change.object
    if obj.getCart():
        cartmanager = getToolByName(obj, 'portal_cartmanager')
        cart = cartmanager.getOrCreateCart()
        wftool = getToolByName(obj, 'portal_workflow')
        pcm = getToolByName(obj, 'portal_cartmanager')
        pcm.manage_renameObjects([cart.id], ['cancelled%s' % cart.UID()])
        promoteState(obj,state_change,**kw)
        wftool.doActionFor(cart, 'finish_shopping')



def fail(self,state_change,**kw):
    obj = state_change.object
    if obj.getCart():
        cartmanager = getToolByName(obj, 'portal_cartmanager')
        cart = cartmanager.getOrCreateCart()
        wftool = getToolByName(obj, 'portal_workflow')
        pcm = getToolByName(obj, 'portal_cartmanager')
        pcm.manage_renameObjects([cart.id], ['failed%s' % cart.UID()])
        promoteState(obj,state_change,**kw)
        wftool.doActionFor(cart, 'finish_shopping')



def finish(self,state_change,**kw):
    obj = state_change.object
    obj.sendOrderConfirmation()

    if obj.getCart():
        # finish shopping for shopping cart
        cartmanager = getToolByName(obj, 'portal_cartmanager')
        cart = cartmanager.getOrCreateCart()
        wftool = getToolByName(obj, 'portal_workflow')
        pcm = getToolByName(obj, 'portal_cartmanager')

        #move the cart into the order
        obj.cart_move(cart,obj)

    promoteState(obj,state_change,**kw)
    if obj.getCart():
        wftool.doActionFor(obj.getCart(), 'finish_shopping')

