# -*- coding: utf-8 -*-
#
# File: title_copy.py
#
# Copyright (c) 2006 by BlueDynamics Alliance (Austria), Weimar Desenvolvimento
# e Consultoria em Informatica - Ltda (Brasil), Zettai.net LCC (United States)
# Generator: ArchGenXML Version 1.5.1-svn
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Jens Klein <jens@bluedynamics.com>, Phil Auersperg <phil@bluedynamics.com>,
Fabiano Weimar dos Santos <xiru@xiru.org>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.PloneMallPayment.PaymentSettings import PaymentSettings
from Products.PloneMallPayment.config import *

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

title_copy_schema = BaseSchema.copy() + \
    getattr(PaymentSettings, 'schema', Schema(())).copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class title_copy(BaseContent, PaymentSettings):
    """
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,'__implements__',()),) + (getattr(PaymentSettings,'__implements__',()),)

    # This name appears in the 'add' box
    archetype_name = 'title_copy'

    meta_type = 'title_copy'
    portal_type = 'title_copy'
    allowed_content_types = [] + list(getattr(PaymentSettings, 'allowed_content_types', []))
    filter_content_types = 0
    global_allow = 1
    #content_icon = 'title_copy.gif'
    immediate_view = 'base_view'
    default_view = 'base_view'
    suppl_views = ()
    typeDescription = "title:copy"
    typeDescMsgId = 'description_edit_title:copy'

    _at_rename_after_creation = False

    schema = title_copy_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods

registerType(title_copy, PROJECTNAME)
# end of class title_copy

##code-section module-footer #fill in your manual code here
##/code-section module-footer



