# -*- coding: utf-8 -*-
#
# File: IAVS.py
#
# Copyright (c) 2006 by BlueDynamics Alliance, Austria
# Generator: ArchGenXML Version 1.5.1-svn
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Jens Klein <jens@bluedynamics.com>, Phil Auersperg <phil@bluedynamics.com>"""
__docformat__ = 'plaintext'

from Interface import Base


class IAVS(Base):
    """IAVS
    """

    # Methods

    def getCountries():
        """
        Return a list of tuples, where the first tuple position is the
        coutry code (following the ISO3166 specification) and the second
        position is the Coutry name.
        """

    def getStatesForCountry(country):
        """
        Return the States of a Country as a list of tuples, where the
        first tuple position if the State code (following the ISO3166
        specification) and the second position is the State name.
        """

    def getSupportedCountries():
        """
        Lists the countries that are supported as a list of tuples
        (iso,countryname)
        """

    def getPreferredCountries():
        """
        Lists the countries that are preferred and appear first in the
        country list as a list of tuples (iso,countryname)
        """


# end of class IAVS

