# -*- coding: utf-8 -*-
#
# File: ICart.py
#
# Copyright (c) 2006 by BlueDynamics Alliance, Austria
# Generator: ArchGenXML Version 1.5.1-svn
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Jens Klein <jens@bluedynamics.com>, Phil Auersperg <phil@bluedynamics.com>"""
__docformat__ = 'plaintext'

from Interface import Base


class ICart(Base):
    """ICart
    """

    # Methods

    def getContents(filter):
        """Returns a list of objects that are inside the cart.

        The result could be filtered using a dictionary, where the keys are
        object properties and the values are acceptable values for these keys.
        """

    def addItem(item, quantity):
        """
        Add item to the cart.
        """

    def updateItem(cart_item, quantity):
        """
        Update item quantity in the cart.
        """

    def delItem(cart_item):
        """
        Delete items from the cart.
        """

    def getTotal():
        '''Returns the carts total.

        A currency object with the value summation of all items is returned.
        '''

    def isFilled():
        """
        if theres at least one item in the cart True is returned
        """


# end of class ICart

