# -*- coding: utf-8 -*-
#
# File: ITaxInformation.py
#
# Copyright (c) 2006 by BlueDynamics Alliance, Austria
# Generator: ArchGenXML Version 1.5.1-svn
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Jens Klein <jens@bluedynamics.com>, Phil Auersperg <phil@bluedynamics.com>"""
__docformat__ = 'plaintext'

from Interface import Base


class ITaxInformation(Base):
    """ITaxInformation
    """

    # Methods

    def getTaxType():
        """
        Return tax type
        """

    def getValue():
        """
        Return tax value
        """

    def getPercent():
        """
        Return tax percent
        """

    def isIncludedInPrice():
        """
        Return true if tax value is already included into the price
        """


# end of class ITaxInformation

