from Products.validation.validators.RegexValidator import RegexValidator
from Products.validation.validators.RangeValidator import RangeValidator


l10nValidators = [
    # This should check locale etc. (See the comments in FixedPointField).
    # But for now also allow the ',' as a decimal point.
    RegexValidator('isDecimalL10n',
                   r'^([+-]?)(?=\d|[\.,]\d)\d*([\.,]\d*)?([Ee]([+-]?\d+))?$',
                   title='', description='',
                   errmsg='is not a decimal number.'),
    ]

__all__ = ('l10nValidators', )
