﻿# -*-  coding: utf-8 -*-
# File: admintasks.py

from StringIO import StringIO
from DateTime import DateTime

def delCatalogCarts( self ):
    out = StringIO()

    cat = self.portal_catalog
    brains = cat.searchResults( portal_type='Order' )
    i = 0;
    refCarts = []
    numb = len( brains )
    for ordb in brains :
        i += 1
        print "order %d of %d : OrderNr. [%s]" % ( i, numb, ordb.id )
        ord = ordb.getObject()
        cart = ord.getCart()
        # import pdb; pdb.set_trace()
        if cart :
            refCarts.append( cart.id )
#             print "  ref\'ed cart %s : %s " % ( cart.id, cart.getContents())
#             print >> out, "  referenced cart %s : %s " % (
#                                          cart.id, cart.CreationDate())
        # return "eine order reicht"

    print >> out, "%d referenced carts found" % len( refCarts )
    print "%d referenced carts found" % len( refCarts )
    
    now = DateTime()
    vor1h = DateTime() - 0.1
    
    print >> out, "now   %s" % now
    print >> out, "vor1h %s" % vor1h
    print "now   %s" % now
    print "vor1h %s" % vor1h
    
    brains = cat.searchResults(
        Type = "Cart",
        created = { "query": [vor1h,],
                    "range": "max" }
        )
    cartman = self.portal_cartmanager
    i = 0;
    delCarts = []
    numb = len( brains )
    print >> out, "%d carts" % numb
    print "%d carts" % numb
    for cartb in brains :
        i += 1
        if not cartb.id in refCarts :
            delCarts.append( cartb.id )
            
    print >> out, "deleting %d carts" % len( delCarts )
    print "deleting %d carts" % len( delCarts )
    cartman.manage_delObjects( delCarts )
    
    return out.getvalue()


def delUnusedCarts( self ):
    out = StringIO()
    
    delOld = []
    delUnref = []
    now = DateTime()
    vor1h = DateTime() - 0.1
    print >> out, "now   %s" % now
    print >> out, "vor1h %s" % vor1h
    print "now   %s" % now
    print "vor1h %s" % vor1h
    
    wftool = self.portal_workflow
    cartman = self.portal_cartmanager
    alleCartIds = cartman.objectIds()
    msg = "%d carts\n" % len( alleCartIds )
    print >> out, msg
    print msg

    for cid in alleCartIds :
        cart = cartman.__getitem__( cid )
        msg = "cart id: %s,\tcreated: %s" % ( cid, cart.created())
        print >> out, msg
        if cart.created() < vor1h :
            status = wftool.getInfoFor( cart, 'review_state')
            msg = "\tstatus: %s" % status
            print >> out, msg
            if status == 'shopping' :
                delOld.append( cid )
                print >> out, "--> delete old"
            else:
                orders = cart.getBRefs('order_cart_object')
                if orders:
                    print >> out, orders
                else:
                    delUnref.append( cid )
                    print >> out, "--> delete unreferenced"
            
    
    msg = "\ndeleting %d old carts still status == shopping" % len( delOld )
    print >> out, msg
    print msg
    # print >> out, delOld
    cartman.manage_delObjects( delOld )
    
    msg = "\ndeleting %d old carts not referenced by any order" % len( delUnref )
    print >> out, msg
    print msg
    # print >> out, delUnref
    cartman.manage_delObjects( delUnref )
    
    return out.getvalue()
