# -*- coding: utf-8 -*-
#
# File: QentaPayment.py
#
# Copyright (c) 2007 by BlueDynamics Alliance (Austria), Weimar Desenvolvimento
# e Consultoria em Informatica - Ltda (Brasil), Zettai.net LCC (United States)
# Generator: ArchGenXML Version 1.5.2
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Jens Klein <jens@bluedynamics.com>, Phil Auersperg <phil@bluedynamics.com>,
Fabiano Weimar dos Santos <xiru@xiru.org>"""
__docformat__ = 'plaintext'

##code-section module-header #fill in your manual code here
from config import *
from Products.PloneMallRegistry.MallRegistry import FactoryRegistry
from util import addPaymentInformation
##/code-section module-header

from Products.PloneMallPayment.RedirectingPaymentMethod import RedirectingPaymentMethod

class QentaPayment(RedirectingPaymentMethod):
    """
    """
    __implements__ = (getattr(RedirectingPaymentMethod,'__implements__',()),)

    ##code-section class-header_QentaPayment #fill in your manual code here
    information_class='QentaPaymentInformation'
    ##/code-section class-header_QentaPayment


##code-section module-footer #fill in your manual code here
FactoryRegistry.registerMallFactory('QentaPayment', QentaPayment, icon_file='visamaster.gif')
##/code-section module-footer


