# File: WorldPaySettings.py
# 
# Copyright (c) 2005 by 
# Generator: ArchGenXML Version 1.4.0-RC2 svn/development 
#            http://plone.org/products/archgenxml
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''unknown <unknown>'''
__docformat__ = 'plaintext'


from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *



from Products.PloneMallPayment.config import *
##code-section module-header #fill in your manual code here
##/code-section module-header

schema=Schema((
    StringField('instId',
        widget=StringWidget(
            label='Instid',
            label_msgid='PloneMallPayment_label_instId',
            description_msgid='PloneMallPayment_help_instId',
            i18n_domain='PloneMallPayment',
        ),
        required=1
    ),

    IntegerField('testMode',
        default="100",
        widget=IntegerWidget(
            label='Testmode',
            label_msgid='PloneMallPayment_label_testMode',
            description_msgid='PloneMallPayment_help_testMode',
            i18n_domain='PloneMallPayment',
        ),
        required=1
    ),

    StringField('desc',
        widget=StringWidget(
            label='Desc',
            label_msgid='PloneMallPayment_label_desc',
            description_msgid='PloneMallPayment_help_desc',
            i18n_domain='PloneMallPayment',
        ),
        required=1
    ),

),
)


##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

WorldPaySettings_schema = BaseSchema + \
    schema

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class WorldPaySettings(BaseContent):
    """
    WorldPay Settings
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,'__implements__',()),)


    # This name appears in the 'add' box
    archetype_name             = 'WorldPaySettings'

    meta_type                  = 'WorldPaySettings'
    portal_type                = 'WorldPaySettings'
    allowed_content_types      = []
    filter_content_types       = 0
    global_allow               = 0
    allow_discussion           = 0
    #content_icon               = 'WorldPaySettings.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    suppl_views                = ()
    typeDescription            = "WorldPaySettings"
    typeDescMsgId              = 'description_edit_worldpaysettings'

    schema = WorldPaySettings_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    #Methods

registerType(WorldPaySettings,PROJECTNAME)
# end of class WorldPaySettings

##code-section module-footer #fill in your manual code here
##/code-section module-footer



