from Products.PloneMallRegistry.MallRegistry import FactoryRegistry

def addPaymentInformation(order, method, factoryName='PaymentInformation', factory=None, payment_settings=None ):
    if not factory:
        factory = FactoryRegistry.getMallFactory(factoryName)
    id = 'payment_information'

    if hasattr(order.aq_base,id):
         order.manage_delObjects([id])
           

    order.invokeFactory(factoryName, id, title='Payment Infotmation')

    obj = getattr(order, id)
    if type(method) in (type(()),type([])):
        obj.setMethod_name(method)
    else:
        obj.setMethod_name(method.__class__.__name__)
    #obj.setProcessed(1)
    total=order.getTotal()
    obj.setValue(total.getValue())
    obj.setCurrency(total.getCurrencySymbol())
    order.setPayment(obj)
    if payment_settings:
        obj.setPayment_settings(payment_settings)
    # for now we have only one address
    order.setPaymentAddress(order.getCustomerAddress())
    return obj
