# -*- coding: utf-8 -*-
#
# File: ICustomerInformation.py
#
# Copyright (c) 2006 by BlueDynamics Alliance, Austria
# Generator: ArchGenXML Version 1.5.1-svn
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Jens Klein <jens@bluedynamics.com>, Phil Auersperg <phil@bluedynamics.com>"""
__docformat__ = 'plaintext'

from Interface import Base


class ICustomerInformation(Base):
    """ICustomerInformation
    """

    # Methods

    def getCustomerInformationFields():
        """
        Return the CustomerInformation archetypes fields list.
        """

    def setAddress(address,category):
        """
        <p>assigns an address information to the customer.</p>
        """

    def getAddress(category):
        """
        <p>returns the address information. if no address information
        for the given category is not present, it returns None.</p>
        <p>A default address is always present</p>
        """

    def getAllAddresses():
        """

        """


# end of class ICustomerInformation

